package com.ssj.bean.sys.analysis.bean;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "tb_analysis")
public class Analysis extends BaseEntity {
	
	private static final long serialVersionUID = 890135943022798129L;
 
	private String libId;
	
	private String userId;
	
	private String vipId;

	/**
	 * 1：学生端 2：家长端 3：教师端
	 */
	private Integer source;

	/**
	 * 1:作业登记本 2:计时 3:上传作业 4:查看批改结果
	 * 5:签到签离 6:作业标注 7--作业反馈编辑8:查看错题 9:定制练习
	 * 10:学性回顾  11:成长报告  12:作业任务 13:错题本 14:成长报告
	 */
	private Integer type;
	
	private Date createTime;

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getSource() {
		return source;
	}

	public void setSource(Integer source) {
		this.source = source;
	}
	
	
}
